-
Notifications
You must be signed in to change notification settings - Fork 0
Commit
This commit does not belong to any branch on this repository, and may belong to a fork outside of the repository.
- Loading branch information
1 parent
ee0624f
commit 50f9c74
Showing
82 changed files
with
11 additions
and
9,755 deletions.
There are no files selected for viewing
This file was deleted.
Oops, something went wrong.
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
|
@@ -150,78 +150,6 @@ jobs: | |
run: | | ||
docker push ${{ env.REGISTRY }}/${{ env.IMAGE_NAME }}:${{ env.IMAGE_TAG }} | ||
run-cluster-test-pre-release-suite: | ||
needs: prepare | ||
name: Run the pre-release suite of Cluster Test | ||
runs-on: self-hosted | ||
if: ${{ startsWith(needs.prepare.outputs.changes-target-branch, 'release') }} | ||
# The pre-release suite run time varies 1~1.5 hr. | ||
timeout-minutes: 120 | ||
steps: | ||
- uses: actions/[email protected] | ||
with: | ||
fetch-depth: 0 #get all the history!!! | ||
- name: set_env | ||
id: set_env | ||
run: | | ||
HEAD_GIT_REV=$(git rev-parse --short=8 HEAD) | ||
echo "HEAD_GIT_REV=$HEAD_GIT_REV" >> $GITHUB_ENV | ||
IMAGE_TAG=$(echo ${GITHUB_REF#refs/heads/})_$HEAD_GIT_REV | ||
echo $IMAGE_TAG | ||
echo "IMAGE_TAG=$IMAGE_TAG" >> $GITHUB_ENV | ||
- name: poll_images | ||
# Poll until images are ready | ||
env: | ||
AWS_REGION: us-west-2 | ||
RETRIES: 30 | ||
run: | | ||
set +e | ||
retry=0 | ||
status=1 | ||
while [[ $status != 0 && $retry -lt $RETRIES ]]; do | ||
status=0 | ||
for image in diem/validator diem/validator_tcb diem/init diem/cluster_test; do | ||
aws ecr describe-images --region $AWS_REGION --repository-name $image --image-ids=imageTag=$IMAGE_TAG | ||
status=$((status + $?)) | ||
done | ||
retry=$((retry + 1)) | ||
if [[ $status != 0 ]] ; then | ||
echo "CI has not pushed all images to ECR." | ||
echo "Wait $((1*$retry)) of $((1*$RETRIES)) minutes before retry." | ||
sleep 1m | ||
fi | ||
done | ||
exit $status | ||
- name: Run Cluster Test | ||
run: | | ||
date | ||
BASE_GIT_REV=$(git rev-parse $HEAD_GIT_REV^) | ||
./scripts/cti --tag $IMAGE_TAG --timeout-secs 7200 \ | ||
--env SLACK_CHANGELOG_URL=${{ secrets.WEBHOOK_CHANGELOG }} \ | ||
--changelog $BASE_GIT_REV $HEAD_GIT_REV \ | ||
--suite pre_release | ||
- name: Push alert | ||
if: ${{ failure() }} | ||
run: | | ||
jq -n \ | ||
--arg msg "*${{ github.job }}* job in ${{ github.workflow }} workflow failed with $IMAGE_TAG." \ | ||
--arg url "https://github.com/${{ github.repository }}/actions/runs/${{github.run_id}}" \ | ||
'{ | ||
"attachments": [ | ||
{ | ||
"text": $msg, | ||
"actions": [ | ||
{ | ||
"type": "button", | ||
"text": "Visit Job", | ||
"url": $url | ||
} | ||
] | ||
} | ||
] | ||
}' > /tmp/payload | ||
curl -X POST -H 'Content-type: application/json' -d @/tmp/payload ${{ secrets.WEBHOOK_PUSH }} | ||
run-forge-test-pre-release-suite: | ||
needs: prepare | ||
name: Run the pre-release suite of Forge Test | ||
|
@@ -347,7 +275,6 @@ jobs: | |
docker/build_push.sh -u -p -b ${BRANCH} -n tools || success=$(echo "tools" >> "${tmpfile}"; echo 1) | ||
docker/build_push.sh -u -p -b ${BRANCH} -n validator || success=$(echo "validator" >> "${tmpfile}"; echo 1) | ||
docker/build_push.sh -u -p -b ${BRANCH} -n validator-tcb || success=$(echo "validator-tcb" >> "${tmpfile}"; echo 1) | ||
docker/build_push.sh -u -p -b ${BRANCH} -n cluster-test || success=$(echo "cluster-test" >> "${tmpfile}"; echo 1) | ||
docker/build_push.sh -u -p -b ${BRANCH} -n forge || success=$(echo "forge" >> "${tmpfile}"; echo 1) | ||
if [[ "$success" == "1" ]]; then | ||
cat "${tmpfile}" | ||
|
@@ -369,7 +296,6 @@ jobs: | |
docker/build_push.sh -u -b ${BRANCH} -n tools || success=$(echo "tools" >> "${tmpfile}"; echo 1) | ||
docker/build_push.sh -u -b ${BRANCH} -n validator || success=$(echo "validator" >> "${tmpfile}"; echo 1) | ||
docker/build_push.sh -u -b ${BRANCH} -n validator-tcb || success=$(echo "validator-tcb" >> "${tmpfile}"; echo 1) | ||
docker/build_push.sh -u -b ${BRANCH} -n cluster-test || success=$(echo "cluster-test" >> "${tmpfile}"; echo 1) | ||
docker/build_push.sh -u -b ${BRANCH} -n forge || success=$(echo "forge" >> "${tmpfile}"; echo 1) | ||
if [[ "$success" == "1" ]]; then | ||
cat "${tmpfile}" | ||
|
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
|
@@ -179,7 +179,7 @@ jobs: | |
strategy: | ||
matrix: | ||
target_images: | ||
[client faucet cluster-test forge, init tools validator validator-tcb] | ||
[client faucet forge, init tools validator validator-tcb] | ||
steps: | ||
- uses: actions/[email protected] | ||
with: | ||
|
@@ -290,22 +290,6 @@ jobs: | |
echo "PREV_TAG=$compat_prev_tag" >> $GITHUB_ENV | ||
echo "BUILD_PREV=0" >> $GITHUB_ENV | ||
fi | ||
- name: build extra images | ||
id: build-extra-images | ||
run: | | ||
res=land_$BASE_GIT_REV | ||
if [ $BUILD_PREV -eq 1 ]; then | ||
compat_prev_tag=$res | ||
echo "Starting codebuild for $compat_prev_tag" | ||
VERSION=$BASE_GIT_REV ADDL_TAG=$compat_prev_tag .github/actions/land-blocking/cti-codebuild.sh &> codebuild-prev.log & | ||
prev_build_pid=$! | ||
wait $prev_build_pid | ||
echo "====== codebuild-prev.log start ======" | ||
cat codebuild-prev.log | ||
else | ||
res=$PREV_TAG; | ||
fi | ||
echo "::set-output name=prev-tag::$(echo $res)"; | ||
- name: Early terminate workflow | ||
if: ${{ failure() }} | ||
uses: ./.github/actions/early-terminator | ||
|
@@ -959,7 +943,6 @@ jobs: | |
# On `push` this value will be empty and will "do-the-right-thing" | ||
ref: ${{ github.event.pull_request.head.sha }} | ||
- name: Launch forge test | ||
# NOTE Remember to update PR comment payload if cti cmd is updated. | ||
run: | | ||
set +e | ||
date | ||
|
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
|
@@ -100,42 +100,6 @@ jobs: | |
# run: bash <(curl -s https://codecov.io/bash) -f $CODECOV_OUTPUT/lcovhtml/lcov.info -F unittest; | ||
#- uses: ./.github/actions/build-teardown | ||
|
||
json-rpc-backward-compat-test: | ||
# Test old client from release (prod) and pre-release (rc) branches | ||
# against new server in the main branch through cluster-test's | ||
# json-rpc interface. | ||
runs-on: ubuntu-20.04-xl | ||
container: | ||
image: ghcr.io/diem/diem_build_environment:main | ||
volumes: | ||
- "${{github.workspace}}:/opt/git/diem" | ||
env: | ||
DEVNET_MINT_TEST_KEY: ${{ secrets.DEVNET_MINT_TEST_KEY }} | ||
DEVNET_ENDPOINT: dev.testnet.diem.com | ||
MESSAGE_PAYLOAD_FILE: /tmp/message | ||
strategy: | ||
fail-fast: false | ||
matrix: | ||
release-branch: [release-1.5, release-1.4] | ||
steps: | ||
- uses: actions/[email protected] | ||
with: | ||
ref: ${{ matrix.release-branch }} | ||
- uses: ./.github/actions/build-setup | ||
- name: Run cluster test diag on devnet | ||
run: | | ||
echo ${DEVNET_MINT_TEST_KEY} | base64 -d > /tmp/mint_test.key | ||
RUST_BACKTRACE=full cargo run -p cluster-test -- --diag --swarm --mint-file=/tmp/mint_test.key --peers=dev.testnet.diem.com:80:80 --chain-id=DEVNET > ${MESSAGE_PAYLOAD_FILE} | ||
- name: Run cluster test to submit random txn to devnet | ||
run: | | ||
RUST_BACKTRACE=full cargo run -p cluster-test -- --emit-tx --swarm --mint-file=/tmp/mint_test.key --peers=dev.testnet.diem.com:80:80 --chain-id=DEVNET --accounts-per-client=2 --workers-per-ac=2 --duration=30 >> ${MESSAGE_PAYLOAD_FILE} | ||
- uses: ./.github/actions/slack-file | ||
with: | ||
webhook: ${{ secrets.WEBHOOK_BREAKING_CHANGE }} | ||
payload-file: ${{ env.MESSAGE_PAYLOAD_FILE }} | ||
if: ${{ failure() }} | ||
- uses: ./.github/actions/build-teardown | ||
|
||
prover-inconsistency-test: | ||
runs-on: ubuntu-20.04-xl | ||
container: | ||
|
Some generated files are not rendered by default. Learn more about how customized files appear on GitHub.
Oops, something went wrong.
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Oops, something went wrong.